oweals/busybox.git
2016-11-14 Denys VlasenkoMake grep/egrep/fgrep independently selectable
2016-11-14 Denys VlasenkoMake halt/poweroff/reboot independently selectable
2016-11-13 Denys VlasenkoMake setarch/linux32/linux64 independently selectable
2016-11-13 Denys Vlasenkodnsdomainname: split it from "hostname", make it indepe...
2016-11-11 Denys Vlasenkotar: handle pax-encoded utf8 filenames and link names...
2016-11-08 Denys Vlasenkohush: make getch/peek functions directly called
2016-11-08 Denys Vlasenkohush: renumber PIPE_foo, make PIPE_SEQ = 0
2016-11-08 Denys Vlasenkohush: small optimization in run_list
2016-11-08 Denys Vlasenkohush: deindent large block of code, no code changes
2016-11-08 Denys Vlasenkohush: simplify insert_bg_jobs
2016-11-08 Denys Vlasenkohush: make "wait %1" less likely to play with signal...
2016-11-07 Denys Vlasenkohush: rework "wait %jobspec" to work in non-interactive...
2016-11-07 Denys Vlasenkohush: "wait $!; echo $?" should return 127 if $! alread...
2016-11-07 Denys Vlasenkohush: implement "wait %jobspec"
2016-11-07 Denys Vlasenkohush: factor out %jobspec parsing
2016-11-07 Denys Vlasenkohush: comment fix
2016-11-07 Denys Vlasenkohush: do not allow sh -c '{ echo boo }'
2016-11-04 Aaro Koskinencpio: add ownership (-R) test cases
2016-11-04 Denys Vlasenkohush: case logic for setting $? was still wrong
2016-11-04 Denys Vlasenkohush: non-matching "case" statement sets $? to 0
2016-11-04 Denys Vlasenkohush: allow { cmd } to not be terminated by semicolon...
2016-11-04 Denys Vlasenkoash: fix "duplicate local" code (forgot to re-enable...
2016-11-04 Denys Vlasenkocomment and readme updates
2016-11-03 Denys Vlasenkosu: expand help; simplify passing of -c CMD to run_shell()
2016-11-03 Denys Vlasenkoloadfont: 32k size limit is not enough
2016-11-03 Denys Vlasenkoash: while (!got_sig) pause() is not reliable, use...
2016-10-31 Denys Vlasenkoman: remove -Tascii from nroff invocation
2016-10-31 Denys Vlasenkoman: make width selection more thorough; explain how...
2016-10-30 Denys Vlasenkoman: allow nroff and tbl commands be overridden; unmang...
2016-10-30 Denys Vlasenkoash: if using libc glob(), skip it if no metachars...
2016-10-30 Denys Vlasenkoash: fix bit-rotten debug infrastructure
2016-10-30 Denys Vlasenkoash: make popfile() anfter popallfiles() safe
2016-10-28 Denys Vlasenkohush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait...
2016-10-28 Denys Vlasenkohush: fix "wait PID"
2016-10-28 Denys Vlasenkoash: use pause(), not sigsuspend(), in wait builtin
2016-10-28 Denys Vlasenkoash: fix interactive "command eval STRING" exiting...
2016-10-27 Denys Vlasenkoash: [JOBS] Fix dowait signal race
2016-10-27 Denys Vlasenkoash: [SIGNAL] Remove EXSIG
2016-10-27 Denys Vlasenkoash: open-code blocking_dowait_with_raise_on_sig()
2016-10-27 Denys Vlasenkoash: return to DOWAIT_* constants similar to dash,...
2016-10-27 Denys Vlasenkoash: delete leftovers from "simplify EOF/newline handli...
2016-10-27 Denys Vlasenkoash: [EXPAND] Fix ifsfirst/ifslastp leak
2016-10-27 Denys Vlasenkoash: move ifsbreakup() and ifsfree() up
2016-10-27 Denys Vlasenkoash: partially sync with dash on "fork if traps are...
2016-10-27 Denys Vlasenkoash: [SHELL] Expand ENV before using it
2016-10-27 Denys Vlasenkoash: comment tweaks, no code changes
2016-10-26 Denys Vlasenkoash: optimize tryexec(): avoid one allocation
2016-10-26 Denys Vlasenkoash: [CD] Lookup PWD after going through CDPATH
2016-10-26 Denys Vlasenkoash: [MEMALLOC] Made grabstackblock an inline wrapper...
2016-10-26 Denys Vlasenkoash: [VAR] Remove setvarsafe
2016-10-26 Denys Vlasenkoash: use shellparam.optind/optoff in getopts() directly...
2016-10-26 Denys Vlasenkoash: [PARSER] Size optimisations in parameter expansion...
2016-10-26 Denys Vlasenkoash: [PARSER] Recognise here-doc delimiters terminated...
2016-10-26 Denys Vlasenkoash: [PARSER] Fix parsing of ${##1}
2016-10-26 Denys Vlasenkoash: [REDIR] Remove redundant CLOEXEC calls
2016-10-26 Denys Vlasenkoash: [REDIR] Replace copyfd by savefd and use dup2...
2016-10-26 Denys Vlasenkotypo fixes
2016-10-26 Denys Vlasenkoash: [BUILTIN] Treat OPTIND=0 in the same way as OPTIND=1
2016-10-25 Denys Vlasenkoash: [PARSER] Report substition errors at expansion...
2016-10-25 Denys Vlasenkoash: [REDIR] Move null redirect checks into caller
2016-10-25 Denys Vlasenkoash: [PARSER] Do not show prompts in expandstr
2016-10-25 Denys Vlasenkoash: [EXPAND] Removed herefd hack
2016-10-25 Denys Vlasenkoash: [SHELL] Move flushall to the point just before...
2016-10-25 Denys Vlasenkoash: [EVAL] Let funcnode refer to a function definition...
2016-10-25 Denys Vlasenkoash: [REDIR] Remove EMFILE special case
2016-10-25 Denys Vlasenkoash: [EVAL] Check exit for eval NSUBSHELL
2016-10-25 Denys Vlasenkoash: add comment explaining "set -e; $(cmd)" discrepancy
2016-10-25 Denys Vlasenkoash: reduce code differences from upstream
2016-10-25 Denys Vlasenkoash: remove unused EXSHELLPROC
2016-10-25 Denys Vlasenkoash: [BUILTIN] Use EXEXIT in place of EXEXEC
2016-10-25 Denys Vlasenkoash,hush: set exit code 127 in "sh /does/not/exist...
2016-10-25 Denys Vlasenkoudhcpc: check read of overload option data byte to...
2016-10-25 Brian Foleyudhcpc: check read of option length byte to be within...
2016-10-24 Tito Ragusastrings: implement -t radix
2016-10-24 Denys Vlasenkoash: explain EXP_REDIR and why we (dont) glob redir...
2016-10-24 Brian Foleyawk: fix segfault on for loop syntax error
2016-10-23 Denys Vlasenkolineedit: fix completion with applet names. closes...
2016-10-23 Ron Yorstonash: return exit status of nofork applets
2016-10-14 Denys Vlasenkoexamples: update var_service/README again
2016-10-14 Denys Vlasenkotypo fixes in doc
2016-10-14 Denys Vlasenkoexamples: update var_service/README again
2016-10-14 Denys Vlasenkoexamples: update var_service/README
2016-10-13 Denys Vlasenkotelnetd: ifdef out a buggy error handling code path
2016-10-12 Denys Vlasenkocpio: fix restoration of file ownership, closes 9306
2016-10-12 Denys Vlasenkotelnet: code shrink
2016-10-12 Denys Vlasenkotelnetd: add another handshake example in comments...
2016-10-12 Denys Vlasenkotelnetd: treat all 2-byte IACs in 240..249 range as...
2016-10-12 Denys Vlasenkotelnetd: fix corner case of input processing of 0xff...
2016-10-12 Denys Vlasenkotelnetd: fix a corner case where CRLF->CR translation...
2016-10-12 Denys Vlasenkotelnetd: fix handling of short writes to pty
2016-10-11 Denys Vlasenkomore: accept and ignore a bunch of options
2016-10-09 Denys Vlasenkoifupdown: rewrite state file atomically
2016-10-07 Denys Vlasenkotcpsvd: don't keep shared fd open if fd limit is reache...
2016-10-07 Denys Vlasenkoash: all blocks in function node copying must be SHELL_...
2016-10-07 Denys Vlasenkoash testsuite: fix false positives
2016-10-07 Denys Vlasenkoash: get rid of two global data variables
2016-10-07 Denys Vlasenkoash: comment out free(p) just before _exit, tweak some...
2016-10-04 Denys Vlasenkowget: there is no -s option in GNU Wget 1.18, we should...
2016-10-03 Denys Vlasenkodhcp: merge leases.c and static_leases.c into dhcpd.c
2016-10-03 Denys Vlasenkodhcp: merge most of static_leases.c into dhcpd.c
next